TimeStampRequestGenerator (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.tsp

## Class TimeStampRequestGenerator

- java.lang.Object
- - org.bouncycastle.tsp.TimeStampRequestGenerator

-     public class TimeStampRequestGenerator
      extends java.lang.Object

  Generator for RFC 3161 Time Stamp Request objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampRequestGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, boolean isCritical, org.bouncycastle.asn1.ASN1Encodable value)` add a given extension field for the standard extensions tag (tag 3)
    `void` | `addExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, boolean isCritical, byte[] value)` add a given extension field for the standard extensions tag The value parameter becomes the contents of the octet string associated with the extension.
    `void` | `addExtension(java.lang.String OID, boolean critical, org.bouncycastle.asn1.ASN1Encodable value)` Deprecated. use method taking ASN1ObjectIdentifier
    `void` | `addExtension(java.lang.String OID, boolean critical, byte[] value)` Deprecated. use method taking ASN1ObjectIdentifier
    `TimeStampRequest` | `generate(org.bouncycastle.asn1.ASN1ObjectIdentifier digestAlgorithm, byte[] digest)`
    `TimeStampRequest` | `generate(org.bouncycastle.asn1.ASN1ObjectIdentifier digestAlgorithm, byte[] digest, java.math.BigInteger nonce)`
    `TimeStampRequest` | `generate(java.lang.String digestAlgorithm, byte[] digest)` Deprecated. use method taking ANS1ObjectIdentifier
    `TimeStampRequest` | `generate(java.lang.String digestAlgorithmOID, byte[] digest, java.math.BigInteger nonce)` Deprecated. use method taking ANS1ObjectIdentifier
    `void` | `setCertReq(boolean certReq)`
    `void` | `setReqPolicy(org.bouncycastle.asn1.ASN1ObjectIdentifier reqPolicy)`
    `void` | `setReqPolicy(java.lang.String reqPolicy)` Deprecated. use method taking ASN1ObjectIdentifier

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampRequestGenerator

          public TimeStampRequestGenerator()

  - ### Method Detail

    - #### setReqPolicy

          public void setReqPolicy(java.lang.String reqPolicy)

      Deprecated. use method taking ASN1ObjectIdentifier
      Parameters:
        `reqPolicy` -

    - #### setReqPolicy

          public void setReqPolicy(org.bouncycastle.asn1.ASN1ObjectIdentifier reqPolicy)

    - #### setCertReq

          public void setCertReq(boolean certReq)

    - #### addExtension

          public void addExtension(java.lang.String OID,
                          boolean critical,
                          org.bouncycastle.asn1.ASN1Encodable value)
                            throws java.io.IOException

      Deprecated. use method taking ASN1ObjectIdentifier
      add a given extension field for the standard extensions tag (tag 3)
      Throws:
        `java.io.IOException`

    - #### addExtension

          public void addExtension(java.lang.String OID,
                          boolean critical,
                          byte[] value)

      Deprecated. use method taking ASN1ObjectIdentifier
      add a given extension field for the standard extensions tag The value parameter becomes the contents of the octet string associated with the extension.

    - #### addExtension

          public void addExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                          boolean isCritical,
                          org.bouncycastle.asn1.ASN1Encodable value)
                            throws TSPIOException

      add a given extension field for the standard extensions tag (tag 3)
      Throws:
        `TSPIOException`

    - #### addExtension

          public void addExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                          boolean isCritical,
                          byte[] value)

      add a given extension field for the standard extensions tag The value parameter becomes the contents of the octet string associated with the extension.

    - #### generate

          public TimeStampRequest generate(java.lang.String digestAlgorithm,
                                  byte[] digest)

      Deprecated. use method taking ANS1ObjectIdentifier

    - #### generate

          public TimeStampRequest generate(java.lang.String digestAlgorithmOID,
                                  byte[] digest,
                                  java.math.BigInteger nonce)

      Deprecated. use method taking ANS1ObjectIdentifier

    - #### generate

          public TimeStampRequest generate(org.bouncycastle.asn1.ASN1ObjectIdentifier digestAlgorithm,
                                  byte[] digest)

    - #### generate

          public TimeStampRequest generate(org.bouncycastle.asn1.ASN1ObjectIdentifier digestAlgorithm,
                                  byte[] digest,
                                  java.math.BigInteger nonce)